asc (2.6.1.0-5build1) eoan; urgency=medium

  * No change rebuild against new boost regex icu encoded abi ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 17:51:01 +0100

asc (2.6.1.0-5) unstable; urgency=medium

  * Add pkg-config-freetype.patch and use pkg-config to detect freetype2.
    (Closes: #887600)
  * Switch to compat level 11. Build with autoreconf.
  * Build-depend on libcurl4-gnutls-dev or libcurl4-openssl-dev so that
    auto-reconfiguration works.
  * Declare compliance with Debian Policy 4.2.1.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Oct 2018 16:50:17 +0200

asc (2.6.1.0-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.5.
  * Rebuild against GCC-8.

 -- Markus Koschany <apo@debian.org>  Fri, 27 Jul 2018 18:13:12 +0200

asc (2.6.1.0-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.1.
  * Drop deprecated autotools-dev from Build-Depends.
  * Add libphysfs-3.0.1.patch and fix FTBFS with libphysfs 3.0.1.
    Thanks to Adrian Bunk for the report. (Closes: #881998)

 -- Markus Koschany <apo@debian.org>  Fri, 17 Nov 2017 19:10:22 +0100

asc (2.6.1.0-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * add another patch to make asc2_dlg.zip reproducible

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.0.0.
  * Use secure Vcs-Git URL.
  * Switch to compat level 10.
  * Drop libesd0-dev from Build-Depends. (Closes: #856073)
  * Drop deprecated asc.menu file.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Sun, 25 Jun 2017 17:50:53 +0200

asc (2.6.1.0-1) unstable; urgency=medium

  [ Moritz Muehlenhoff ]
  * Remove myself from uploaders.

  [ Markus Koschany ]
  * Imported Upstream version 2.6.1.0.
  * Switch to libsigc++-2.0-dev. (Closes: #672391)
  * Add get-orig-source target.
  * Update my e-mail address.
  * Drop spelling-errors.patch. Merged upstream.
  * Declare compliance with Debian Policy 3.9.6.
  * d/rules: Remove export DEB_BUILD_OPTIONS = nocheck
  * Override dh_auto_test to prevent a FTBFS due to non-functional tests.
  * Add reproducible-build.patch and make the build reproducible.
  * Move the package to Git.
  * Add clean file and ensure that the game can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Mon, 07 Dec 2015 18:20:59 +0100

asc (2.6.0.0-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Alexander Reichle-Schmehl ]
  * Removed myself from uploaders.

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Imported Upstream version 2.6.0.0.
  * wrap-and-sort -sab.
  * Use compat level 9 and require debhelper >= 9.
  * Drop dirs files. Not needed with compat level 9 and install files.
  * Declare compliance with Debian policy 3.9.5.
  * debian/control:
    - Remove build-dependency on dpkg-dev.
    - asc: change versioned dependency for asc-data to (= ${source:Version}).
    - Switch to libwxgtk3.0-dev.
  * debian/watch: Make the extension regex more flexible.
  * asc.docs: Do not install README anymore.
  * Install man pages with asc.install. Drop asc.manpages.
  * Update asc.menu. Add icon entry.
  * debian/rules:
    - Build --with parallel and --with autotools_dev. Thanks to Logan Rosen for
      the report and patch. (Closes: #733210)
    - Remove override for dh_auto_configure. Disabling the paraguitest is
      obsolete thus an override is not needed anymore.
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.
  * Drop gcc-4.7-part2.diff. Fixed upstream.
  * Drop no_unittester.patch. Export DEB_BUILD_OPTIONS = nocheck instead and
    disable the non-functional unittests to avoid a FTBFS.
  * Rename spelling patch to spelling-errors.patch and forward it to upstream's
    forum.
  * Add keywords and comment in German to desktop file.
  * Add and install asc.png and asc.xpm icons. (Closes: #720169)
  * Update debian/copyright to copyright format 1.0.
  * Do not install uncompiled unitguide documentation anymore. Using
    asc_weaponguide for creating the documentation on a per user basis
    is recommended.

 -- Markus Koschany <apo@gambaru.de>  Thu, 20 Mar 2014 14:50:20 +0100

asc (2.5.0.0-1) unstable; urgency=low

  * New upstream release. (Closes: #708835)
  * Add patch to not build unittester dir since it is broken.
  * Add patch to fix spelling errors in binary packages.
  * Remove gcc-4.7 patch, fixed upstream.
  * Change debian/rules to dh7 style.
  * Add hardening flags.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 25 May 2013 14:49:56 -0400

asc (2.4.0.0-3) unstable; urgency=low

  * Team upload.
  * Add patches fixing FTBFS with gcc-4.7, thanks to Gregor Jasny.
    (Closes: #674299)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 27 May 2012 21:38:32 +0100

asc (2.4.0.0-2) unstable; urgency=low

  [ Felix Geyer ]
  * Team upload.
  * Drop build-dependency on libparagui1.1-dev since it's not actually used.
    - Add libexpat1-dev which was previously pulled in by libparagui1.1-dev.
  * Add build-arch and build-indep targets.
  * Fix Vcs-Browser link.
  * Explicitly build-depend on libjpeg-dev, libfreetype6-dev and libpng-dev.
  * Bump Standards-Version to 3.9.3, no changes needed.

  [ Sam Hocevar ]
  * A few e-mail address updates.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 24 Mar 2012 12:23:18 +0100

asc (2.4.0.0-1) unstable; urgency=low

  [ Moritz Muehlenhoff ]
  * New upstream release.
    - Drop obsolete patches.
    - Initializes map_edit properly. (Closes: #534171).
  * Update to standards version 3.8.3.
  * Switch to source format 3.0 (quilt). (Closes: #538430)
  * Adding myself to uploaders.

  [ Alexander Reichle-Schmehl ]
  * Adopt debian/control to my new name.

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 01 Jan 2010 22:11:14 +0100

asc (2.1.0.0-2) unstable; urgency=low

  * Update my e-mail address.
  * Remove unnecessary build-dep on libartsc0-dev.
  * 010_boost_libs.diff - Look for boost_regex-mt for newer boost libs.
  * Build-depend on libparagui1.1-dev instead of 1.0. (Closes: #529562).
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Thu, 28 May 2009 13:49:52 -0400

asc (2.1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Remove gcc-4.3 patch. Fixed upstream. (Closes: #478838).
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bddebian@comcast.net>  Tue, 17 Jun 2008 12:29:22 -0400

asc (2.0.1.0-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Use quilt for patch management.
  * Fix build with g++-4.3. (Closes: #417112)
  * Improve debian/copyright.

 -- Barry deFreese <bddebian@comcast.net>  Sun, 23 Mar 2008 17:55:48 -0400

asc (2.0.1.0-1) unstable; urgency=low

  [ Eddy Petrișor ]
  * Fixed Homepage semifield.

  [ Gonéri Le Bouder ]
  * Add a watchfile.
  * Move homepage from the description to the new Homepage field.

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Barry deFreese ]
  * Fix make-clean lintian warning
  * New upstream release.
  * Bump debhelper build-dep to match compat.
  * Add desktop file.
  * Update watch file for new upstream naming.
  * Remove nostrip check from rules.
  * Bump Standards Version to 3.7.3.
  * Add myself to uploaders.

 -- Barry deFreese <bddebian@comcast.net>  Tue, 08 Jan 2008 19:54:18 -0500

asc (1.16.3.0-3) unstable; urgency=low

  * Adopted package and moved it to the Debian Games Team repository.
  * Set Bartosz Fenski, Alexander Schmehl and myself as uploaders.
  * Bump Standards Version to 3.7.2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Jun 2006 17:43:41 +0200

asc (1.16.3.0-2) unstable; urgency=low

  * Orphan package.

 -- Bartosz Fenski <fenio@debian.org>  Fri, 17 Mar 2006 17:02:53 +0100

asc (1.16.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 23 Jan 2006 15:57:32 +0100

asc (1.16.2.0-3) unstable; urgency=low

  * Depends on ${Upstream-Version} of asc-data. (Closes: #343216)

 -- Bartosz Fenski <fenio@debian.org>  Sun, 25 Dec 2005 06:17:38 +0100

asc (1.16.2.0-2) unstable; urgency=low

  * Seems that asc (at least without networking support) works on all archs,
    so we're going to support them again. (Closes: #322198, #309677)

 -- Bartosz Fenski <fenio@debian.org>  Wed, 10 Aug 2005 11:07:34 +0200

asc (1.16.2.0-1) unstable; urgency=low

  * New upstream release.
  * Added kfreebsd-i386 to the list of supported archs. (Closes: #321353)

 -- Bartosz Fenski <fenio@debian.org>  Mon,  8 Aug 2005 12:27:56 +0200

asc (1.16.1.0-1) unstable; urgency=low

  * New upstream release.
  * Transition upload for both G++ / aalib. (Closes: #320889)
  * Upstream officially supports only three archs, so we build only
    for them for now.
  * Bumped Standards-Version (no changes needed).

 -- Bartosz Fenski <fenio@debian.org>  Thu,  4 Aug 2005 19:43:39 +0200

asc (1.16.0.0-1) unstable; urgency=low

  * New upstream release:
    - amd64 is now officially supported. (Closes: #297556)

 -- Bartosz Fenski <fenio@debian.org>  Sat, 30 Apr 2005 15:33:21 +0200

asc (1.15.3.0-1) unstable; urgency=low

  * New upstream release:
    - Contains fixes for amd64 arch, so dpatch and Andreas's patches
      are now removed.
  * Copyright file extended a little.

 -- Bartosz Fenski <fenio@debian.org>  Fri, 18 Feb 2005 14:37:21 +0100

asc (1.15.2.1-5) unstable; urgency=low

  * Added libesd0-dev to build dependencies.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 18 Jan 2005 00:48:22 +0100

asc (1.15.2.1-4) unstable; urgency=low

  * Added libartsc0-dev to build dependencies.

 -- Bartosz Fenski <fenio@debian.org>  Mon, 17 Jan 2005 16:55:22 +0100

asc (1.15.2.1-3) unstable; urgency=low

  * Added patch to fix problems with building on amd64 using gcc-4.0.
    Thanks to Andreas Jochens for provided patch. (Closes: #285482)

 -- Bartosz Fenski <fenio@debian.org>  Fri, 14 Jan 2005 16:05:23 +0100

asc (1.15.2.1-2) unstable; urgency=low

  * Added libxt-dev to Build-Depends.

 -- Bartosz Fenski <fenio@debian.org>  Sat,  2 Jan 2005 02:21:24 +0100

asc (1.15.2.1-1) unstable; urgency=low

  * New upstream release.
  * Use my Debian email address for maintainership.

 -- Bartosz Fenski <fenio@debian.org>  Sat,  1 Jan 2005 20:14:21 +0100

asc (1.15.1.0-2) unstable; urgency=low

  * Using -jX switch for make wasn't good idea. Reverted this change.

 -- Bartosz Fenski <fenio@o2.pl>  Tue,  9 Nov 2004 10:11:23 +0100

asc (1.15.1.0-1) unstable; urgency=low

  * New upstream release:
    - Hopefully fixes at least some of the endianness problems,
      but it has to be checked on autobuilders.
  * debian/control:
    - Recommends asc-music. (Closes: #274670)
  * debian/rules:
    - I started using distcc so we're now launching make with -j4.

 -- Bartosz Fenski <fenio@o2.pl>  Sat,  9 Oct 2004 20:22:24 +0200

asc (1.15.0.0-2) unstable; urgency=medium

  * Urgency set to medium due to libtiff transition.
  * debian/control:
    - Added libparagui1.0 dependency.
    - Added dependency on the explicit libsdl-image1.2-dev. (Closes: #262789)
    - Added libphysfs-dev dependency (waiting for fixed libparagui).
  * debian/rules:
    - Removed --disable-paragui from configure switches.

 -- Bartosz Fenski <fenio@o2.pl>  Mon,  1 Aug 2004 22:12:21 +0200

asc (1.15.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #77705)

 -- Bartosz Fenski <fenio@o2.pl>  Wed, 23 Jun 2004 06:01:36 +0200

